linux-mips
[Top] [All Lists]

DECstation compile fails: opcode not supported (eret)

To: "Maciej W. Rozycki" <macro@linux-mips.org>
Subject: DECstation compile fails: opcode not supported (eret)
From: Martin Michlmayr <tbm@cyrius.com>
Date: Sat, 21 Jan 2006 19:59:56 +0000
Cc: linux-mips@linux-mips.org
Original-recipient: rfc822;linux-mips@linux-mips.org
Sender: linux-mips-bounce@linux-mips.org
User-agent: Mutt/1.5.11
linux-mips git with the standard DECstation config from
arch/mips/configs/decstation_defconfig fails with the following error:

  AS      arch/mips/kernel/genex.o
arch/mips/kernel/genex.S: Assembler messages:
arch/mips/kernel/genex.S:240: Error: opcode not supported on this processor: 
mips1 (mips1) `eret'
make[1]: *** [arch/mips/kernel/genex.o] Error 1
make: *** [arch/mips/kernel] Error 2

Toolchain used:
gcc version 4.0.3 20051201 (prerelease) (Debian 4.0.2-5)
binutils: 2.16.91 20051117 Debian GNU/Linux

-- 
Martin Michlmayr
http://www.cyrius.com/

<Prev in Thread] Current Thread [Next in Thread>